Jump to content

Welcome, Guest!

By registering with us, you'll be able to discuss, share and private message with other members of our community.

rubben1985

Problem with module and Jquery??

Recommended Posts

Hi,

I have installed a module that displays a map when selecting a shipping method to show a map and select a pickup place.

The module seems to work with PS 1.6, but in TB there are errors that stop the module from loading the map.

This is what the module support tells me (I will translate):

 

Could be an outdated jQuery library

This is the screenshot of the error

image.thumb.png.6bd5650005151a0618c8d431628944b2.png
 
It seems there are 2 posible solutions
 
Once is to review if in the file classes/controllers/AdminController.php there is a call to Query ($this->addJquery();) and if in the file controller.php there is the function:
 
public function addJquery($version = null, $folder = null, $minifier = true)
{
$this->addJS(Media::getJqueryPath($version, $folder, $minifier));
}
 
The other would be to update the content of the directories Admin y js.
 
The best solution is to contact TB developpers.
(Translation finished)
 
Any ideas?
 
@toplakd could be because of the 3 steps modifications?
 
Regards

Share this post


Link to post
Share on other sites

You can always try that PS module in stock Thirty bees install (without any modifications).

To see if it works or not.

And than go from there.

Share this post


Link to post
Share on other sites

Based on the screen shot it might be 2 things.

  1. you installed a ps 1.7 version of that module (the filename is font17.js?)
  2. the js file from the module is looking for some variable/object named prestashop.

Share this post


Link to post
Share on other sites

 

On 10/31/2020 at 9:55 AM, toplakd said:

You can always try that PS module in stock Thirty bees install (without any modifications).

To see if it works or not.

And than go from there.

I will try when I had some time (i need a bigger server because I do not have enough space in mine)

 

On 10/31/2020 at 10:41 AM, yaniv14 said:

Based on the screen shot it might be 2 things.

  1. you installed a ps 1.7 version of that module (the filename is font17.js?)
  2. the js file from the module is looking for some variable/object named prestashop.

1. I checked it and it is 1.6 version.

2. could be, I will ask the developper.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...